Subject: Re: [PATCH v8 3/3] leds/powernv: Add driver for PowerNV platform

From: Vasant Hegde <[email-masked]>
Date: Wed, 19 Aug 2015 17:36:27 +0530

On 08/19/2015 05:24 PM, Jacek Anaszewski wrote:
> Hi Vasant,
> 
> On 07/28/2015 07:40 PM, Jacek Anaszewski wrote:
>> Vasant,
>>
>>>
>>>>
>>>> Without my core changes your driver won't work with led triggers, but
>>>> AFAIR this use case is not relevant for your LEDs? Eventually, we could
>>>> produce a patch set adding support for LED triggers if it will be clear
>>>> that LED core changes will not be merged in the upcoming merge window.
>>>
>>> IIUC current LED code doesn't allow me to sleep (without driver specific
>>> workqueue). And powernv_led_set() call will sleep. Hence I think it
>>> won't work.
>>>
>>> I did a quick test without your patch. It doesn't seems to be working.
> 

Jacek,

> Does brightness setting work properly without work queue?
> 

Sorry ...  I forgot to respond to this thread..

Yes.. It worked for me..

I have tested v9 with and without your code patchset.. In both cases its working
fine..

Sample test case :
	[root@tul176p1 leds]# cd U78C9.001.RST0027-P1-C14:identify
	
	[root@tul176p1 U78C9.001.RST0027-P1-C14:identify]# pwd
	/sys/class/leds/U78C9.001.RST0027-P1-C14:identify
	
	[root@tul176p1 U78C9.001.RST0027-P1-C14:identify]# cat brightness
	0
	
	[root@tul176p1 U78C9.001.RST0027-P1-C14:identify]# echo 1 > brightness
	[root@tul176p1 U78C9.001.RST0027-P1-C14:identify]# cat brightness
	255

-Vasant